Bug 2164619 - CVE-2022-38725 syslog-ng: integer overflow in the RFC3164 parser can lead to DoS [fedora-all]
Summary: CVE-2022-38725 syslog-ng: integer overflow in the RFC3164 parser can lead to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: syslog-ng
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Peter Czanik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-38725
TreeView+ depends on / blocked
 
Reported: 2023-01-25 20:21 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-02-15 01:33 UTC (History)
3 users (show)

Fixed In Version: syslog-ng-3.35.1-4.fc36 syslog-ng-3.37.1-2.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-15 01:19:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-01-25 20:21:33 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2164618

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2023-01-25 20:21:35 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2164618,2164619

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-02-06 15:16:09 UTC
FEDORA-2023-3d44a41fa3 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3d44a41fa3

Comment 3 Fedora Update System 2023-02-06 16:00:55 UTC
FEDORA-2023-43eb573065 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-43eb573065

Comment 4 Fedora Update System 2023-02-07 01:57:32 UTC
FEDORA-2023-3d44a41fa3 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3d44a41fa3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3d44a41fa3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-02-07 02:00:48 UTC
FEDORA-2023-43eb573065 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-43eb573065`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-43eb573065

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-02-15 01:19:20 UTC
FEDORA-2023-43eb573065 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-02-15 01:33:10 UTC
FEDORA-2023-3d44a41fa3 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.